#include <iostream>
#include <math.h>

using namespace std;

int main()
{
    char c1,c2;
    cin>>c1>>c2;
    int a1,a2,l,o,broj;
    cin>>a1>>a2;
    l=a1-a2;
    broj=a1+a2;
    o=abs(l);
    if(o>=2){
        cout<<"nemoguce";
    }
    else{
        for(int i=0; i<a1; i++){
                cout<<c1;
         for(int j=0; j<1; j++){
                  cout<<c2;
        }
        }
    }
}